## python-osc-placement 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0.0 # Apache-2.0
six>=1.10.0 # MIT
keystoneauth1>=3.3.0 # Apache-2.0
osc-lib>=1.2.0  # Apache-2.0

=== debian/changelog ===
python-osc-placement (1.3.0-2) unstable; urgency=medium

  * Add HP to d/copyright (Closes: #908758).

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Sep 2018 16:45:52 +0200

python-osc-placement (1.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #907564)

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Aug 2018 15:20:22 +0200

=== debian/control ===
Source: python-osc-placement
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackclient (>= 3.3.0),
 python3-osc-lib (>= 1.2.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:1.10.0),
 python3-pbr (>= 2.0.0),
 python3-reno,
 python3-six,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-osc-placement
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-osc-placement.git
Homepage: https://github.com/openstack/osc-placement

Package: python-osc-placement-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient plugin for the Placement service - doc
 OSC-Placement is an OpenStackClient plugin, that provides CLI for the
 Placement service. Python API binding is not implemented - Placement API
 consumers are encouraged to use the REST API directly, CLI is provided only
 for convenience of users.
 .
 This package contains the documentation.

Package: python3-osc-placement
Architecture: all
Depends:
 python3-keystoneauth1 (>= 3.3.0),
 python3-osc-lib (>= 1.2.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-placement-doc,
Description: OpenStackClient plugin for the Placement service - Python 3.x
 OSC-Placement is an OpenStackClient plugin, that provides CLI for the
 Placement service. Python API binding is not implemented - Placement API
 consumers are encouraged to use the REST API directly, CLI is provided only
 for convenience of users.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/osc-placement.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-osc-placement-doc/usr/share/doc/python-osc-placement-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-osc-placement 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -5,4 +5,5 @@
 pbr>=2.0.0 # Apache-2.0
 six>=1.10.0 # MIT
 keystoneauth1>=3.3.0 # Apache-2.0
+simplejson>=3.16.0 # MIT
 osc-lib>=1.2.0  # Apache-2.0

=== debian/changelog ===
python-osc-placement (1.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed build-depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:15:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
  python3-sphinx,
@@ -21,11 +21,10 @@
  python3-oslotest (>= 1:1.10.0),
  python3-pbr (>= 2.0.0),
  python3-reno,
+ python3-simplejson,
  python3-six,
- python3-testscenarios,
- python3-testtools,
+ python3-stestr,
  subunit,
- testrepository,
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-osc-placement
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-osc-placement.git
@@ -51,6 +50,7 @@
  python3-keystoneauth1 (>= 3.3.0),
  python3-osc-lib (>= 1.2.0),
  python3-pbr (>= 2.0.0),
+ python3-simplejson,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

## python-osc-placement 1.7.0

=== requirements.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 keystoneauth1>=3.3.0 # Apache-2.0
 simplejson>=3.16.0 # MIT
 osc-lib>=1.2.0  # Apache-2.0
+oslo.utils>=3.37.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0;python_version>='3.4' # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
openstackdocstheme>=1.24.0 # Apache-2.0
cliff>=2.14

# releasenotes
reno>=2.5.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-osc-placement (1.7.0-2~cloud0) bionic-ussuri; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 29 Nov 2021 21:59:54 +0000

python-osc-placement (1.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:43:58 +0200

python-osc-placement (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 08:54:17 +0200

## python-osc-placement 2.1.0

=== debian/changelog ===
python-osc-placement (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 16:59:30 +0200

python-osc-placement (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:35:52 +0200

python-osc-placement (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:30:19 +0200

python-osc-placement (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Apr 2020 17:22:04 +0200

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,30 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
+ python3-cliff,
  python3-coverage,
  python3-hacking,
  python3-keystoneauth1 (>= 3.3.0),
  python3-openstackclient (>= 3.3.0),
+ python3-openstackdocstheme,
  python3-osc-lib (>= 1.2.0),
+ python3-oslo.utils (>= 3.37.0),
  python3-oslosphinx,
  python3-oslotest (>= 1:1.10.0),
  python3-pbr (>= 2.0.0),
  python3-reno,
  python3-simplejson,
  python3-six,
+ python3-sphinx-feature-classification,
  python3-stestr,
+ python3-wsgi-intercept,
  subunit,
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-osc-placement
@@ -49,6 +54,7 @@
 Depends:
  python3-keystoneauth1 (>= 3.3.0),
  python3-osc-lib (>= 1.2.0),
+ python3-oslo.utils (>= 3.37.0),
  python3-pbr (>= 2.0.0),
  python3-simplejson,
  python3-six,

## python-osc-placement 2.2.0

=== debian/changelog ===
python-osc-placement (2.2.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 01:06:11 +0000

python-osc-placement (2.2.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 13:55:44 -0400

python-osc-placement (2.1.0-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:44:39 -0400

## python-osc-placement 3.1.1

=== debian/changelog ===
python-osc-placement (3.1.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:45:52 -0400

python-osc-placement (3.0.1-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:39:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-osc-placement
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -10,29 +11,29 @@
  openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-cliff,
+ python3-cliff (>= 2.14),
  python3-coverage,
  python3-hacking,
  python3-keystoneauth1 (>= 3.3.0),
  python3-openstackclient (>= 3.3.0),
- python3-openstackdocstheme,
+ python3-openstackdocstheme (>= 2.2.1),
  python3-osc-lib (>= 1.2.0),
  python3-oslo.utils (>= 3.37.0),
  python3-oslosphinx,
  python3-oslotest (>= 1:1.10.0),
  python3-pbr (>= 2.0.0),
  python3-reno,
- python3-simplejson,
- python3-six,
- python3-sphinx-feature-classification,
- python3-stestr,
- python3-wsgi-intercept,
+ python3-simplejson (>= 3.16.0),
+ python3-six (>= 1.10.0),
+ python3-sphinx-feature-classification (>= 0.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-wsgi-intercept (>= 1.7.0),
  subunit,
 Standards-Version: 4.2.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-osc-placement
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-osc-placement.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osc-placement
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osc-placement
 Homepage: https://github.com/openstack/osc-placement
 
 Package: python-osc-placement-doc
@@ -56,8 +57,8 @@
  python3-osc-lib (>= 1.2.0),
  python3-oslo.utils (>= 3.37.0),
  python3-pbr (>= 2.0.0),
- python3-simplejson,
- python3-six,
+ python3-simplejson (>= 3.16.0),
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/osc-placement/osc-placement-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-osc-placement 3.2.0

=== debian/changelog ===
python-osc-placement (3.2.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 25 Mar 2022 10:33:59 +0000

python-osc-placement (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:31:24 +0100

python-osc-placement (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 21:47:59 +0100

python-osc-placement (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:51:25 +0200

python-osc-placement (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 11:24:49 +0200

python-osc-placement (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Sep 2021 15:49:31 +0200

python-osc-placement (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 11:14:38 +0200

python-osc-placement (2.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:43:06 +0200

python-osc-placement (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:31:27 +0100

## python-osc-placement 4.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=2.0.0 # Apache-2.0
-six>=1.10.0 # MIT
 keystoneauth1>=3.3.0 # Apache-2.0
 simplejson>=3.16.0 # MIT
 osc-lib>=1.2.0  # Apache-2.0

=== debian/changelog ===
python-osc-placement (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:41:01 +0200

python-osc-placement (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 22:47:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-osc-placement
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -11,29 +10,28 @@
  openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-cliff (>= 2.14),
+ python3-cliff,
  python3-coverage,
  python3-hacking,
  python3-keystoneauth1 (>= 3.3.0),
  python3-openstackclient (>= 3.3.0),
- python3-openstackdocstheme (>= 2.2.1),
+ python3-openstackdocstheme,
  python3-osc-lib (>= 1.2.0),
  python3-oslo.utils (>= 3.37.0),
  python3-oslosphinx,
  python3-oslotest (>= 1:1.10.0),
  python3-pbr (>= 2.0.0),
  python3-reno,
- python3-simplejson (>= 3.16.0),
- python3-six (>= 1.10.0),
- python3-sphinx-feature-classification (>= 0.2.0),
- python3-stestr (>= 1.0.0),
- python3-wsgi-intercept (>= 1.7.0),
+ python3-simplejson,
+ python3-sphinx-feature-classification,
+ python3-stestr,
+ python3-wsgi-intercept,
  subunit,
 Standards-Version: 4.2.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osc-placement
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osc-placement
+Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-osc-placement
+Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-osc-placement.git
 Homepage: https://github.com/openstack/osc-placement
 
 Package: python-osc-placement-doc
@@ -57,8 +55,7 @@
  python3-osc-lib (>= 1.2.0),
  python3-oslo.utils (>= 3.37.0),
  python3-pbr (>= 2.0.0),
- python3-simplejson (>= 3.16.0),
- python3-six (>= 1.10.0),
+ python3-simplejson,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -12,19 +12,18 @@
 override_dh_auto_build:
 	echo "Do nothing..."
 
-override_dh_auto_install:
+override_dh_auto_test:
 	echo "Do nothing..."
 
-override_dh_install:
-	pkgos-dh_auto_install --no-py2
+override_dh_auto_install:
+	pkgos-dh_auto_install --no-py2 --in-tmp
 
-override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-osc-placement-doc/usr/share/doc/python-osc-placement-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-osc-placement 4.1.0

=== debian/changelog ===
python-osc-placement (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:15:43 +0200

python-osc-placement (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:33:56 +0100

## python-osc-placement 4.2.0

=== debian/changelog ===
python-osc-placement (4.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Sep 2023 15:05:43 +0000

python-osc-placement (4.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Sep 2023 15:52:48 -0400

python-osc-placement (4.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:06:48 -0500

python-osc-placement (4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:08:34 -0400

python-osc-placement (3.2.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:40:50 -0400

## python-osc-placement 4.3.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
simplejson>=3.16.0 # MIT
osc-lib>=1.2.0  # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0

=== debian/changelog ===
python-osc-placement (4.3.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 16:57:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,38 @@
 Source: python-osc-placement
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
  python3-all,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-cliff,
+ python3-cliff (>= 2.14),
  python3-coverage,
  python3-hacking,
  python3-keystoneauth1 (>= 3.3.0),
  python3-openstackclient (>= 3.3.0),
- python3-openstackdocstheme,
+ python3-openstackdocstheme (>= 2.2.1),
  python3-osc-lib (>= 1.2.0),
  python3-oslo.utils (>= 3.37.0),
  python3-oslosphinx,
  python3-oslotest (>= 1:1.10.0),
  python3-pbr (>= 2.0.0),
  python3-reno,
- python3-simplejson,
- python3-sphinx-feature-classification,
- python3-stestr,
- python3-wsgi-intercept,
+ python3-simplejson (>= 3.16.0),
+ python3-sphinx-feature-classification (>= 0.2.0),
+ python3-stestr (>= 1.0.0),
+ python3-wsgi-intercept (>= 1.7.0),
  subunit,
-Standards-Version: 4.2.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-osc-placement
-Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-osc-placement.git
-Homepage: https://github.com/openstack/osc-placement
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-osc-placement
+Homepage: https://opendev.org/openstack/osc-placement
 
 Package: python-osc-placement-doc
 Section: doc
@@ -55,7 +55,7 @@
  python3-osc-lib (>= 1.2.0),
  python3-oslo.utils (>= 3.37.0),
  python3-pbr (>= 2.0.0),
- python3-simplejson,
+ python3-simplejson (>= 3.16.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	echo "Do nothing..."
@@ -25,9 +25,9 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-osc-placement-doc/usr/share/doc/python-osc-placement-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf build

## python-osc-placement 4.5.0

=== debian/changelog ===
python-osc-placement (4.5.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090562).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:16:33 +0100

python-osc-placement (4.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:33:16 +0200

python-osc-placement (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 12:13:35 +0200

python-osc-placement (4.4.0-1) experimental; urgency=medium

  * Mew upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Aug 2024 10:44:57 +0200

python-osc-placement (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:38:46 +0200

python-osc-placement (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 20:45:49 +0100

python-osc-placement (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 16:51:12 +0200

python-osc-placement (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Sep 2023 09:23:10 +0200

python-osc-placement (4.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047747).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 14:28:43 +0200

## python-osc-placement 4.6.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
osc-lib>=1.2.0  # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
cliff>=2.14

# releasenotes
reno>=3.1.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

=== debian/changelog ===
python-osc-placement (4.6.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Feb 2025 14:01:40 +0000

python-osc-placement (4.5.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 10:01:56 +0100

python-osc-placement (4.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 07:11:42 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,6 @@
  python3-oslotest (>= 1:1.10.0),
  python3-pbr (>= 2.0.0),
  python3-reno,
- python3-simplejson (>= 3.16.0),
  python3-sphinx-feature-classification (>= 0.2.0),
  python3-stestr (>= 1.0.0),
  python3-wsgi-intercept (>= 1.7.0),
@@ -55,7 +54,6 @@
  python3-osc-lib (>= 1.2.0),
  python3-oslo.utils (>= 3.37.0),
  python3-pbr (>= 2.0.0),
- python3-simplejson (>= 3.16.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-osc-placement 4.7.0

=== debian/changelog ===
python-osc-placement (4.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:48:39 +0200

python-osc-placement (4.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 18:34:37 +0200

python-osc-placement (4.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:42:24 +0100

python-osc-placement (4.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:14:34 +0100

=== debian/control ===
Source: python-osc-placement
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.utils,
 python3-oslosphinx,
 python3-oslotest,
 python3-pbr,
 python3-reno,
 python3-sphinx-feature-classification,
 python3-stestr,
 python3-wsgi-intercept,
 subunit,
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-osc-placement
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-osc-placement.git
Homepage: https://github.com/openstack/osc-placement

Package: python-osc-placement-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStackClient plugin for the Placement service - doc
 OSC-Placement is an OpenStackClient plugin, that provides CLI for the
 Placement service. Python API binding is not implemented - Placement API
 consumers are encouraged to use the REST API directly, CLI is provided only
 for convenience of users.
 .
 This package contains the documentation.

Package: python3-osc-placement
Architecture: all
Depends:
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-osc-placement-doc,
Description: OpenStackClient plugin for the Placement service - Python 3.x
 OSC-Placement is an OpenStackClient plugin, that provides CLI for the
 Placement service. Python API binding is not implemented - Placement API
 consumers are encouraged to use the REST API directly, CLI is provided only
 for convenience of users.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/osc-placement/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-osc-placement 4.8.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
cliff>=2.14

# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
python-osc-placement (4.8.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-gazpacho.debian.net>  Tue, 24 Feb 2026 14:43:36 +0000

python-osc-placement (4.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:41:10 +0100

python-osc-placement (4.7.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047747).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Feb 2026 18:21:45 +0100
